GET /api/v3/meter/{meterId}/ghg/factor

Get the ghg meter factors

GetGHGMeterFactorsV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The meter identifier for ghg factors are being retrieved integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GHGFactorsResponse
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
commodityUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
description The description string
endDate The end date string (date-time)
ghgCO2Factor The ghg CO2 factor number (double)
ghgFactor The ghg factor number (double)
ghgFactorId The identifier for ghg factor integer (int32)
ghgType GHGTypeChild
GHGTypeChild properties
Property Description Type
ghgTypeCode The ghg type code string
ghgTypeId The identifier for the ghg type integer (int32)
ghgTypeInfo The ghg type info string
ghgUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
memo The notes string
startDate The start date string (date-time)
Example Response application/json
[
  {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "commodityUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "description": "string",    "endDate": "2026-03-30",    "ghgCO2Factor": 1.0,    "ghgFactor": 1.0,    "ghgFactorId": 1,    "ghgType": {      "ghgTypeCode": "string",      "ghgTypeId": 1,      "ghgTypeInfo": "string"
    },    "ghgUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "memo": "string",    "startDate": "2026-03-30"
  }
]